<template>
    <div
        element-loading-text="数据加载中..."
        element-loading-spinner="el-icon-loading"
        element-loading-background="rgba(255,255,255, 0.5)"
        v-loading.fullscreen.lock="loading"
    >
        <el-dialog
            v-dialogDrag
            title="处置信息"
            :visible="visible"
            :before-close="handleClose"
            :close-on-click-modal="false"
            v-if="visible"
            width="70%"
            top="6vh"
            :class="[loading ? 'dialog-box' : '']"
        >
            <div class="table-wrapper">
                <el-table
                    stripe
                    size="mini"
                    height="100%"
                    v-loading="loading"
                    :data="tableData"
                    :style="{width: '100%'}"
                    ref="table"
                    :default-sort="{prop: 'status', order: 'ascending'}"
                >
                    <el-table-column type="index" label="序号" align="center">
                    </el-table-column>
                    <el-table-column
                        prop="pilotProjectName"
                        show-overflow-tooltip
                        min-width="200"
                        label="时间"
                        align="center"
                    >
                    </el-table-column>
                    <el-table-column
                        prop="pilotProjectName"
                        show-overflow-tooltip
                        label="处置人"
                        align="center"
                    >
                    </el-table-column>
                    <el-table-column
                        prop="pilotProjectName"
                        show-overflow-tooltip
                        label="处置单位"
                        align="center"
                    >
                    </el-table-column>
                    <el-table-column
                        prop="pilotProjectName"
                        show-overflow-tooltip
                        min-width="160"
                        label="被处置对象"
                        align="center"
                    >
                    </el-table-column>
                    <el-table-column
                        prop="pilotProjectName"
                        show-overflow-tooltip
                        min-width="160"
                        label="性别"
                        align="center"
                    >
                    </el-table-column>
                    <el-table-column
                        prop="pilotProjectName"
                        show-overflow-tooltip
                        label="联系电话"
                        align="center"
                    >
                    </el-table-column>
                    <!-- <el-table-column
                        prop="pilotLevel"
                        show-overflow-tooltip
                        label="事件分类"
                        align="center"
                    > -->
                    <!-- <template #header>
                                <el-dropdown
                                    @command="
                                        handleCommand($event, 'pilot_Level_')
                                    "
                                >
                                    <span class="el-dropdown-link">
                                        试点层级<i
                                            class="el-icon-arrow-down el-icon--right"
                                        ></i>
                                    </span>
                                    <el-dropdown-menu slot="dropdown">
                                        <el-dropdown-item
                                            v-for="(
                                                item, index
                                            ) in pilotLevelList"
                                            :key="index"
                                            :command="item.value"
                                            >{{ item.name }}</el-dropdown-item
                                        >
                                    </el-dropdown-menu>
                                </el-dropdown>
                            </template> -->
                    <!-- <template #default="{row}">
                            {{ getDictName('sdcj', row.pilotLevel) }}
                        </template>
                    </el-table-column> -->
                    <el-table-column
                        prop="docNo"
                        show-overflow-tooltip
                        label="处置结果"
                        align="center"
                    >
                    </el-table-column>

                    <!-- <el-table-column
                        show-overflow-tooltip
                        min-width="80"
                        align="center"
                        fixed="right"
                        :label="$t('common.operation')"
                    >
                        <template v-slot="{row}">
                            <el-link
                                type="primary"
                                :underline="false"
                                class="column-inner-btn"
                                @click="handleEdit(row)"
                            >
                                处置
                            </el-link>
                        </template>
                    </el-table-column> -->
                </el-table>
            </div>
            <pagination
                ref="paginationPanel"
                style="margin-top: 10px"
                :pageResult="pageResult"
                @size-change="handleSizeChange"
                @current-change="handleCurrentChange"
            />
        </el-dialog>
    </div>
</template>
<script>
import pagination from '@/components/pagination'
export default {
    props: {},
    name: 'TreatedEventListDialog',
    components: {
        pagination,
    },
    data() {
        return {
            visible: false,
            loading: false,
            pageResult: {
                page: 1,
                pageSize: 20,
                total: 0,
            },
            tableData: [],
        }
    },
    methods: {
        open() {
            this.visible = true
        },
        handleClose() {
            this.visible = false
        },
        handleSizeChange() {},
        handleCurrentChange() {},
    },
}
</script>
<style lang="scss" scoped>

</style>